<?php


namespace Fastrack\Utilities;


use PlatoCreative\Imgix\Imgix;
use SilverStripe\ORM\DataExtension;

class ImageExtension extends DataExtension
{

	public function onAfterWrite()
	{
		parent::onAfterWrite();
		if ($this->getOwner()->getClassName() !== Imgix::class) {
			$this->getOwner()->setClassName(Imgix::class)->write();
		}

	}

}
